package com.yonge.cooleshow.biz.dal.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * (RongyunHereWhite)表实体类
 *
 * @author zx
 * @since 2022-06-13 18:16:23
 */
@ApiModel(value = "im_network_here_white")
public class ImNetworkHereWhite implements Serializable {
    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "白板id，")
    private Integer id;

    @TableField("course_schedule_id_")
    @ApiModelProperty(value = "对应课程编号")
    private Long courseScheduleId;

    @TableField("name_")
    @ApiModelProperty(value = "白板名称")
    private String name;

    @TableField("limit_")
    @ApiModelProperty(value = "${column.comment}")
    private Integer limit;

    @TableField("team_id_")
    @ApiModelProperty(value = "${column.comment}")
    private Integer teamId;

    @TableField("admin_id_")
    @ApiModelProperty(value = "${column.comment}")
    private Integer adminId;

    @TableField("mode_")
    @ApiModelProperty(value = "${column.comment}")
    private String mode;

    @TableField("template_")
    @ApiModelProperty(value = "${column.comment}")
    private String template;

    @TableField("region_")
    @ApiModelProperty(value = "${column.comment}")
    private String region;

    @TableField("room_token_")
    @ApiModelProperty(value = "${column.comment}")
    private String roomToken;

    @TableField("uuid_")
    @ApiModelProperty(value = "${column.comment}")
    private String uuid;

    @TableField("updated_at_")
    @ApiModelProperty(value = "${column.comment}")
    private Date updatedAt;

    @TableField("created_at_")
    @ApiModelProperty(value = "${column.comment}")
    private Date createdAt;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Long getCourseScheduleId() {
        return courseScheduleId;
    }

    public void setCourseScheduleId(Long courseScheduleId) {
        this.courseScheduleId = courseScheduleId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getLimit() {
        return limit;
    }

    public void setLimit(Integer limit) {
        this.limit = limit;
    }

    public Integer getTeamId() {
        return teamId;
    }

    public void setTeamId(Integer teamId) {
        this.teamId = teamId;
    }

    public Integer getAdminId() {
        return adminId;
    }

    public void setAdminId(Integer adminId) {
        this.adminId = adminId;
    }

    public String getMode() {
        return mode;
    }

    public void setMode(String mode) {
        this.mode = mode;
    }

    public String getTemplate() {
        return template;
    }

    public void setTemplate(String template) {
        this.template = template;
    }

    public String getRegion() {
        return region;
    }

    public void setRegion(String region) {
        this.region = region;
    }

    public String getRoomToken() {
        return roomToken;
    }

    public void setRoomToken(String roomToken) {
        this.roomToken = roomToken;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

}

